• ベストアンサー
※ ChatGPTを利用し、要約された質問です(原文:Android2.3.1(API9)のインストール)

Android2.3.1(API9)のインストールに関する問題と解決方法

このQ&Aのポイント
  • Android2.3.1(API9)での開発環境構築時に、'Unable to resolve target 'android-9''のエラーメッセージが表示される問題が発生しています。
  • API9が存在しないため、解決方法を探していますが、開発元のサイトにこのバージョンが見当たりません。
  • 解決方法を教えていただけないでしょうか。

質問者が選んだベストアンサー

  • ベストアンサー
  • okgoripon
  • ベストアンサー率44% (1141/2550)
回答No.1

 Eclipse起動→対象のプロジェクトのプロパティ→Android→Project Build Targetのリスト中のAPI 10以上のターゲットを選択。  今ならAPI 10(2.3.3)のSDKが公開されています。

eichkamp
質問者

お礼

早速のご回答に対しまして心よりお礼申し上げます。 この問題について、ああでもないこうでもないと一週間以上試行錯誤を重ねてきました。 教えていただいた方法で試したところ、一発で問題が解決できました。 現在70才で、自宅で楽しみと苦しみながらandroidをいじくっていますが、誰もまわりに 相談できる者がいません。本当に助かりました。 ベストアンサーに選ばさせていただきます。

全文を見る
すると、全ての回答が全文表示されます。

関連するQ&A

  • APIにまつわる言葉の言い方

    APIにまつわる言い方で教えていただきたい意味があります。 (1)Eclipse で API を叩く → Android開発ならベースがJavaだからJava以外の言語でメソッドを呼び出すイメージ ですか? (2)ネイティブAPI → 機械語で書かれたAPIということですか? 以上よろしくお願いします。

  • android開発環境アンインストール

    android開発環境を一新したいと考えていますが 1年ほど前にインストールしたものでどのファイルをアンインストールすればいいか またアンインストールの方法 (フォルダを削除すればいいのか、アンインストールファイルを実行するのか) もよくわからず質問させていただきます。 以下インストールしたものです。 JDK:Program Files\Java\jdk1.6.0_23にフォルダが存在します。 android SDK:任意フォルダにandroid-adk-windowsが存在します。 eclipse3.6:任意フォルダにeclipseが存在します その他android virtual Deviceというものも設定していますが こちらはeclipseに入っているのでしょうか。。。 非常に初歩的な質問で恐縮ですが よろしくお願いします。

    • ベストアンサー
    • Java
  • Androidアプリが上書インストールされてしまう

    Androidアプリ開発の超初心者です。 Android SDKを使って、Nexus7から目覚まし時計のような機器に Bluetoothで情報を送信するアプリを開発したいと思っています。 ここで、起床時刻を送信するアプリと、時刻合わせ用に現在時刻を送信するアプリを 別アプリとして作成し、Nexus7にインストールしたいのですが、 一方をインストールした状態で他方をインストールすると、上書きされてしまいます。 どこを変更すれば、別アプリとしてインストールすることができるでしょうか。 因みにアプリ名は、strings.xml中の"app_name"を変更し、互いに異なるようにしています。 アプリはいずれもAndroid2.2(API8)のサンプルプログラム"BluetoothChat"を元に 作成しております。 開発環境はEclipse4.2.1、Windows7Enterprise上で動作させています。 Nexus7のAndroidバージョンは4.2です。 ご回答頂ければ幸いです。何卒よろしくお願い致します。

  • eclipse android

    eclipseでandroidのアプリの開発を考えております。 参考サイトを読みながら、installer_r20.0.3-windows.exeをインストールし、eclipseの新規ソフトウェアのインストールからandroidを導入するため、リポジトリーの追加にて、 名前:android ロケーション:ttps://dl-ssl.google.com/android/eclipse/(ttp://dl-ssl.google.com/android/eclipse/も試しました) としましたが、エラーになります。 どうしたら上手くいくのでしょうか。 関係あるかわかりませんが、PATHの環境変数は、 C:\Program Files (x86)\Java\jdk1.7.0_09;%JAVA_HOME%\bin としてあります。 C:\androidsdk\tools;C:\androidsdk\platform-tools; にするとeclipseが起動しなくなりました。 全くの初心者のため、わからないことだらけです。 調べれば分かることなのかもしれませんが、どなたか教えていただけると助かります。

  • Android SDKandAVD Manager

    Android SDK and AVD Managerが表示されません。 プラグインのインストールでは work with:https://dl-ssl.google.com/android/eclipse/ ディベロッパーツールをインストールしました。 eclipseを起動後、windows→android SDK Managerで android SDK Tools android SDK Platform-tools android4.2(API 17) をインストールしました。PATHはC:\Program Files (x86)\android-sdk-windowsでした。 androidSDKの設定で、 Windows→Preference→Androidを選択→AndroidSDKのLocationに C:\Program Files (x86)\android-sdk-windowsとしております。 ちなみに、androidSDKは、android-sdk_r21-windows(Eclipse IDE for Java Developers) eclipseは、eclipse-java-juno-SR1-win32 を使用しております。 PATHは C:\Program Files (x86)\Java\jdk1.7.0_09\bin;C:\Program Files (x86)\android-sdk-windows\tools;C:\Program Files (x86)\android-sdk-windows\platform-tools; としております。C:\Program Files (x86)\Java\jdk1.7.0_09\bin;を消すと、eclipse自体が起動しなくなります。 どうすればAndroid SDKandAVD Managerが表示されるようになるのでしょうか? どのような経過を書けばよいか分からず、思いつくまま書いてみました。 ここまででしなければならないことはしてあると思います。 調べればすぐわかるのかもしれませんが、現在解決方法が見つかっておりません。 どなたか解決方法を教えていただければ幸いです。 また、カテ違いでしたら申し訳ありません。 よろしくお願いいたします。

    • ベストアンサー
    • Java
  • Android SDKがインストールできません

    AndroidでOpenCVを使ってみよう http://www.pronowa.com/room/android_opencv001.html にしたがって、Win7のマシンにインストールを試みましたが、 JDK6.0 / Eclipse は、pleiades-e4.4-java-jre_20140926 でインストー完了したのですが、 第2ステップのAndroid SDKでは、 インストーラ android-studio-bundle-135.1641136.exe をダウンロードして起動したところ、 「新しいフォルダの作成」「OK」「キャンセル」 しかありません。どれを選んでも先に進みません。

  • EclipseでのAndroidアプリ開発について

    プログラム初心者ですが、Eclipseを使ってアンドロイドアプリの開発をしようとしています。 様々なサイトを参考に初心者ながらなんとか開発環境を整えるとこまで来れたのですが、Eclipse上からAndroidのエミュレーター起動の仕方が分かりません。 エミュレーター起動だけならAVD Managerのexeファイルを使ってできるのですがそこにEclipseで作ったプログラムを動かすことはできませんし(やり方があるのかもしれませんが…)、大体のサイトの説明だとEclipseからエミュレーター起動ができるようですよね…? また、実機(GalaxySIILTE)で、作成したアプリケーションを動かすにはどうすればいいのでしょうか? なんだか分かりにくい文章ですみません。ご回答、よろしくお願いします!

  • Android 2.2と4.0の違い。

    Androidの参考書かって SDKやらEclipseやらをインストールしたのですが Android4.0と基本的なプログラムを作ろうとしたら出てきます。 私の持っている実機(スマフォ)はAndroid2.2んqのですが、 このまま4.0で開発してそのアプリが実機ではしるのでしょうか。 Android 2.2で開発するには、何をインストールしなおせば良いもでしょか。 お教え下さい。

  • android開発におけるAPIレベルについて

    当方、android開発を初めて2ケ月のものです。 javaもはじめてでしたので、C++の知識で何とかしのいでいる状態です。 現在、独自画像(1.5M)をimageviewに取り込み、matrix,touchevent,gpsを用いて、簡易ナビを作成しました。 方位角の提示などのために、複数のアイコンをオーバーレイしており、タッチイベントによる連動、またGPSデータを基にした別稼働などを行っています。google mapの動きを参考にしています。 私の実機がandroid2,.2であったことから、APIレベル8で作成し、無事に動いていたため、android2.3機種に移植したところ、スタート時からエラーがでてしまいました。 下のようなログが示され、おそらくはメモリリークであろうと想像するのですが、はたしてAPIレベル8では動き、それ以降ではエラーがでる理由がよくわかりません。 APIレベル10で作成しても同様のエラーで怒られます。 まず、APIレベルによりメモリの使い方が違うのでしょうか?android2.2は特別なのでしょうか? また、これらのエラーを回避する有効な方法はどのような事でしょうか? ご教示お願いします。 16031680-byte external allocation too large for this process. D/dalvikvm(441): GC_FOR_MALLOC freed 0K, 53% free 2565K/5379K, external 5539K/6917K, paused 45ms android.graphics.BitmapFactory.nativeDecodeAsset(Native Method) android.graphics.BitmapFactory.decodeStream(BitmapFactory.java:460) . .

  • Android製品のデバイスドライバ

    業務でAndroid製品を開発している方に質問です。 (自分は組み込み系のソフト開発(C言語)をかじり中です) Android製品にBluetoothチップを載せる際、 デバイスドライバは、どのように開発してますか? (1)Bluetoothのチップベンダの独自通信仕様に基づいて別途APIを開発しているのでしょうか? それとも (2)Androidのソース自体(ライブラリやLinuxカーネル?)をチップベンダの通信仕様に合うよう修正しているのでしょうか? (1)だと、Androidのソースを読み解く必要がないので楽だと思うのですが Android APIが使えない欠点があると思ってます。 (2)だと、アプリケーション層の開発者がAndroidの標準仕様で開発できますが Linuxカーネル層やライブラリ層を解読する必要があるし ライセンスも気にしないといけないためカナリ大変なのでは?と想像しています。 想定してる製品は、スマフォやタブレットではないので Androidアプリが起動できなくてもいいのですが(そもそもAndroidでなくてもいい) 将来性を考えて(2)を選択しつつも、負担を軽減できる良い方法をご存じないでしょうか? チップベンダがAndroid用(Linux)のデバイスドイラバを提供していれば話は簡単ですが(笑)

下糸巻きができない
このQ&Aのポイント
  • 下糸巻きの安全装置が絡まった糸を取り除いても解除できない
  • ブラザー製品の刺繍機付きコンピュータミシンで、下糸巻きの安全装置が絡まった糸を取り除いても解除できないトラブルが発生しています
  • 下糸巻きができず、安全装置が糸で絡んでしまい、解除できない問題が起きています
回答を見る